"use strict";
// SPDX-FileCopyrightText: © 2022 Schneider Electric
//
// SPDX-License-Identifier: LGPL-2.1-only
Object.defineProperty(exports, "__esModule", { value: true });
exports.addCopyrightYearOption = exports.addCopyrightOption = exports.addTargetPlatformOption = exports.addCssOutputOption = exports.addAndroidOutputOption = exports.addIosOutputOption = exports.addInputOption = void 0;
function addInputOption(command) {
    command.option('-i, --input <input>', 'relative location of the token file from Figma', 'design-tokens.json');
}
exports.addInputOption = addInputOption;
function addIosOutputOption(command) {
    command.option('--ios-output <ios output directory>', 'Output directory relative location for iOS', './build/ios');
}
exports.addIosOutputOption = addIosOutputOption;
function addAndroidOutputOption(command) {
    command.option('--android-output <android output directory>', 'Output directory relative location for Android', './build/android');
}
exports.addAndroidOutputOption = addAndroidOutputOption;
function addCssOutputOption(command) {
    command.option('--css-output <css output directory>', 'Output directory relative location for CSS', './dist');
}
exports.addCssOutputOption = addCssOutputOption;
function addTargetPlatformOption(command) {
    command.option('-p, --platform <platform>', 'Semicolon-separated list of platforms to generate: ios|android|css|all', 'all');
}
exports.addTargetPlatformOption = addTargetPlatformOption;
function addCopyrightOption(command) {
    command.option('--copyright <copyright string>', 'Copyright header to be placed in generated files');
}
exports.addCopyrightOption = addCopyrightOption;
function addCopyrightYearOption(command) {
    command.option('--copyright-year <copyright year>', 'Specify the year in the default copyright header', new Date().getFullYear().toString());
}
exports.addCopyrightYearOption = addCopyrightYearOption;
