"use strict";
// SPDX-FileCopyrightText: © 2022 Schneider Electric
//
// SPDX-License-Identifier: LGPL-2.1-only
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const commander_1 = require("commander");
const logger_js_1 = __importDefault(require("../logger.js"));
const clean_js_1 = __importDefault(require("./command/clean.js"));
const generate_js_1 = __importDefault(require("./command/generate.js"));
commander_1.program.usage('[command]');
commander_1.program.addCommand(generate_js_1.default);
commander_1.program.addCommand(clean_js_1.default);
commander_1.program.parse();
commander_1.program.on('command:*', (...command) => {
    logger_js_1.default.error('Invalid command: %s\nUse --help for a list of available commands.', command.join(' '));
    process.exitCode = 1;
});
