"use strict";
// SPDX-FileCopyrightText: © 2022 Schneider Electric
//
// SPDX-License-Identifier: LGPL-2.1-only
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const chalk_1 = __importDefault(require("chalk"));
/* eslint-disable no-console, class-methods-use-this */
class Logger {
    info(message, ...additionalInfo) {
        console.info(`${chalk_1.default.blue('ℹ')} ${message}`, ...additionalInfo);
    }
    newLine(count = 1) {
        console.log('\n'.repeat(count - 1));
    }
    start(message, ...additionalInfo) {
        console.info(`${chalk_1.default.blue('▶️')} ${message}`, ...additionalInfo);
    }
    group() {
        console.group();
    }
    groupEnd() {
        console.groupEnd();
    }
    success(message, ...additionalInfo) {
        console.info(`${chalk_1.default.green('✔️')} ${message}`, ...additionalInfo);
    }
    completed(message, ...additionalInfo) {
        console.info(chalk_1.default.bold.bgGreen(' SUCCESS '), message, ...additionalInfo);
    }
    error(intro, errorInfo) {
        console.error(`${chalk_1.default.bold.bgRed(' ERROR ', intro)}\n`, errorInfo);
    }
}
const logger = new Logger();
exports.default = logger;
/* eslint-enable no-console, class-methods-use-this */
