"use strict";
// SPDX-FileCopyrightText: © 2022 Schneider Electric
//
// SPDX-License-Identifier: LGPL-2.1-only
Object.defineProperty(exports, "__esModule", { value: true });
/**
 * Add a `isUndefined` flag to the token attributes, so that this token
 * is excluded from the outputs. We have use an attribute because the
 * value will be transformed anyway by other transformers.
 */
const transform = {
    type: 'attribute',
    name: 'qds/attribute/undefined-value',
    matcher: (token) => token.value === 'undefined',
    transformer: () => ({
        isUndefined: true,
    }),
};
exports.default = transform;
