"use strict";
// SPDX-FileCopyrightText: © 2022 Schneider Electric
//
// SPDX-License-Identifier: LGPL-2.1-only
Object.defineProperty(exports, "__esModule", { value: true });
const utils_js_1 = require("../utils.js");
/**
 * As box-shadow have specific properties and the Json have a different format,
 * we spread token property in proper order for box-shadow
 */
const transform = {
    type: 'value',
    name: 'qds/shadow/css',
    matcher: (token) => token.type === 'boxShadow',
    transformer: (token) => {
        const { value } = token;
        return `${(0, utils_js_1.toPx)(value.x)} ${(0, utils_js_1.toPx)(value.y)} ${(0, utils_js_1.toPx)(value.blur)} ${value.spread} ${value.color}`;
    },
};
exports.default = transform;
