"use strict";
// SPDX-FileCopyrightText: © 2022 Schneider Electric
//
// SPDX-License-Identifier: LGPL-2.1-only
Object.defineProperty(exports, "__esModule", { value: true });
const utils_js_1 = require("../utils.js");
const TOKEN_PATH_PATTERN_PADDING = 'padding';
const TOKEN_PATH_PATTERN_GAP = 'gap';
const transform = {
    type: 'value',
    name: 'qds/gap/css',
    matcher: (token) => token.type === 'spacing',
    transformer: (token) => {
        if (token.path.includes(TOKEN_PATH_PATTERN_GAP)) {
            return (0, utils_js_1.toRem)(token.value);
        }
        if (token.path.includes(TOKEN_PATH_PATTERN_PADDING)) {
            return (0, utils_js_1.toPx)(token.value);
        }
        return (0, utils_js_1.toPx)(token.value);
    },
};
exports.default = transform;
