"use strict";
// SPDX-FileCopyrightText: © 2022 Schneider Electric
//
// SPDX-License-Identifier: LGPL-2.1-only
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.getPackageJson = exports.parseJsonFile = void 0;
const node_fs_1 = require("node:fs");
const node_path_1 = __importDefault(require("node:path"));
function parseJsonFile(filePath) {
    const rawContents = (0, node_fs_1.readFileSync)(filePath, {
        encoding: 'utf8',
    });
    return JSON.parse(rawContents);
}
exports.parseJsonFile = parseJsonFile;
function getPackageJson() {
    const fileName = node_path_1.default.join(process.cwd(), 'package.json');
    return parseJsonFile(fileName);
}
exports.getPackageJson = getPackageJson;
